> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a seat event by ID

> Retrieve a seat event by its ID



## OpenAPI

````yaml usage.2024-07-30.product.live GET /seat-events/{id}
openapi: 3.0.0
info:
  title: Usage
  description: Manage usage events and metrics
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /seat-events/{id}:
    servers: []
    parameters: []
    get:
      tags:
        - Seat Events
      summary: Get a seat event by ID
      description: Retrieve a seat event by its ID
      operationId: getSeatEventsById
      parameters:
        - name: id
          in: path
          description: Unique ID for this seat event
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeatEvent'
                example:
                  id: 0184421a-8202-70ea-a729-30308a40bbf7
                  customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                  customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                  seatType: admin
                  sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                  eventTimestamp: '2022-10-01T00:00:00Z'
                  total: 1
              examples:
                SeatEvent:
                  summary: ''
                  value:
                    id: 0184421a-8202-70ea-a729-30308a40bbf7
                    customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                    customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                    seatType: admin
                    sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                    eventTimestamp: '2022-10-01T00:00:00Z'
                    total: 1
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    SeatEvent:
      required:
        - customerAlias
        - customerEventId
        - eventTimestamp
        - id
        - seatType
        - sequenceAccountId
        - total
      type: object
      example:
        id: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType: admin
        sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp: '2022-10-01T00:00:00Z'
        total: 1
      properties:
        id:
          type: string
          description: Unique ID for this seat event.
          example: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId:
          type: string
          description: >-
            Unique ID provided by you. Another event with the same customer
            event ID will supersede this one. This ID usually corresponds to the
            event ID you use internally.
          example: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias:
          type: string
          description: >-
            End-customer alias or ID. This is a unique value provided by you and
            is an identifier to your customer who consumed the seats.
          example: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType:
          type: string
          description: Seat type. This can be referenced from a seat metric.
          example: admin
        sequenceAccountId:
          type: string
          description: Unique Sequence account ID.
          example: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp:
          type: string
          description: Event timestamp, in ISO 8601 format.
          example: '2022-10-01T00:00:00Z'
        total:
          type: integer
          description: Total seats consumed for this seat type.
          example: 1

````